Subject: Re: [Tigers] Shocks

From: Larry Wright via Tigers <[email-masked]>
Date: Tue, 21 Apr 2015 12:08:24 +0000

I'm curious -- any reason they are being replaced? I have Spax and, despite their age, have embarrassingly low miles. I have not noticed anything wrong with them. I don't even know if Spax are made anymore. Or have you just "used them up"?

Larry in Seabrook

-----Original Message-----
Date: Mon, 20 Apr 2015 14:20:32 -0700
From: <[email-masked]>
To: [email-masked]
Subject: [Tigers] Shocks

Need to replace my Spax shocks, any body have any opinion or thoughts?
I'm aware of Edelbrock sold by CAT and of course Koni, which are pricey.
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]